implement CONNECT statement options -cache, -N and -1

07/25/2015 08:37 AM - Greg Shah

Status: Hold Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No version:  

vendor_id: GCD   

Description

History

#1 - 07/25/2015 08:38 AM - Greg Shah

CONNECT statement support needs to be enhanced to handle the options -cache, -N and -1.

#2 - 07/25/2015 08:49 AM - Greg Shah

- Start date deleted (07/25/2015)

- Parent task set to #2619

#3 - 10/29/2015 11:32 AM - Eric Faulhaber

- Assignee set to Ovidiu Maxiniuc

#4 - 10/29/2015 04:01 PM - Ovidiu Maxiniuc

- Status changed from New to WIP

- Assignee deleted (Ovidiu Maxiniuc)

I searched the project for CONNECT statements and I could not find any. I could find instead a call to DISCONNECT statement (in amodufn1.p) and

many CONNECTED function applied on different modules of the application.

I know that there is only one database active (<db_name>) so I guess the search is valid, the database is connected at startup and the above options

are to be configured in directory.xml. According to the book, CONNECT support the same options like the command-line client parameters related to

database connection.

The -1 option. According to p4gl reference, if a user connects this way (a locking mechanism) the other are users are forbidden to connect to

same database. This is the simple one.

The -n option (I could not find a N (in capital) option). This is a server-side one and doesn't make sense in a client-side statement. This somehow

extends the -1 configuration by allowing a certain number of concurrent users on the server, regardless of database used. When the number is

reached, the new users cannot connect to server any more.

The -cache option. This is used for specifying a database schema cache file for faster access. I think this is only a performance options strictly

related to P4GL database server. On P2J the schema is directly and instant accessible at runtime.

Please let me know if I am not off-topic here.

LE: GES removed the database name in this entry.
#5 - 10/29/2015 04:01 PM - Ovidiu Maxiniuc

- Assignee set to Ovidiu Maxiniuc

#6 - 10/29/2015 04:28 PM - Greg Shah

- Status changed from WIP to New

- Assignee deleted (Ovidiu Maxiniuc)

- Target version deleted (Milestone 12)

You are right.  We created this task based on an older set of reports.  It is not needed in the current code.

This work will be deferred.

#7 - 10/29/2015 04:29 PM - Greg Shah

- Parent task deleted (#2619)

#8 - 03/27/2016 11:13 PM - Eric Faulhaber

- Status changed from New to Hold
